{% extends 'base.html.twig' %}

{% block title %}Definition index{% endblock %}

{% block body %}
    <h1>Definition index</h1>
    <nav class="navbar">

        <ul id="accueil">
            <a href="/presentation">  <li class="nav-link"> Présentation</li> </a>
            <a href="/definition">  <li class="nav-link"> Définitions</li> </a>
            <a href="/login">  <li class="nav-link"> Se connecter</li> </a>
            <a href="/register">  <li class="nav-link"> S'inscrire</li> </a>

        </ul>
    </nav>

    <table class="table">
        <thead>
            <tr>
{#                <th>Id</th>#}
                <th>Nom</th>
                <th>Definition</th>
                <th>Exemple</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        <h4>Rechercher une définition</h4>
{#        {{ form(formNom) }}#}
        {% for definition in definitions %}
            <tr>
{#                <td>{{ definition.id }}</td>#}
                <td>{{ definition.Nom }}</td>
                <td>{{ definition.Definition }}</td>
                <td>{{ definition.Exemple }}</td>
                <td>
                    <a href="{{ path('definition_show', {'id': definition.id}) }}">voir</a> <p>/</p>
                    <a href="{{ path('definition_edit', {'id': definition.id}) }}">éditer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('definition_new') }}">Créer une nouvelle définition</a>
{% endblock %}

